Go to the latest version of this document.

# ``twisted`.`spread`.`pb`.`_PortalAuthChallenger``

class documentation

`class _PortalAuthChallenger(Referenceable, _JellyableAvatarMixin): (source)`

Constructor: `_PortalAuthChallenger(portal, broker, username, challenge)`

Implements interfaces: `twisted.cred.credentials.IUsernameHashedPassword`, `twisted.spread.pb.IUsernameMD5Password`

View In Hierarchy

Called with response to password challenge.

Method | `__init__` | Undocumented
Method | `checkMD5Password` | `IUsernameMD5Password`
Method | `checkPassword` | `IUsernameHashedPassword`
Method | `remote_respond` | Undocumented
Instance Variable | `broker` | Undocumented
Instance Variable | `challenge` | Undocumented
Instance Variable | `portal` | Undocumented
Instance Variable | `response` | Undocumented
Instance Variable | `username` | The username associated with these credentials.

Inherited from `Referenceable`:

Method | `jellyFor` | (internal)
Method | `remoteMessageReceived` | A remote message has been received. Dispatch it appropriately.
Class Variable | `perspective` | I am an object sent remotely as a direct reference.

Inherited from `Serializable` (via `Referenceable`):

Method | `processUniqueID` | Return an ID which uniquely represents this object for this process.

Inherited from `Jellyable` (via `Referenceable`, `Serializable`):

Method | `getStateFor` | Undocumented

Inherited from `_JellyableAvatarMixin` (via `Referenceable`, `Serializable`, `Jellyable`):

Method | `_cbLogin` | Ensure that the avatar to be returned to the client is jellyable and set up disconnection notification to call the realm's logout object.

def __init__(self, portal, broker, username, challenge): (source)

Undocumented

def checkMD5Password(self, md5Password): (source)
from `twisted.spread.pb.IUsernameMD5Password`

`IUsernameMD5Password`

Parameters
md5Password |

Returns
`bool` | `True` if password matches.

def checkPassword(self, password): (source)
from `twisted.cred.credentials.IUsernameHashedPassword`

`IUsernameHashedPassword`

Parameters
password | The password.

Returns
`_PortalAuthChallenger.checkMD5Password`

def remote_respond(self, response, mind): (source)

Undocumented

broker = (source)

Undocumented

challenge = (source)

Undocumented

portal = (source)

Undocumented

response = (source)

Undocumented

username = (source)
from `twisted.cred.credentials.IUsernameHashedPassword`

The username associated with these credentials.